summaryrefslogtreecommitdiffstats
path: root/tests/posix/type_bind_mount.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/posix/type_bind_mount.sh')
-rw-r--r--tests/posix/type_bind_mount.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/tests/posix/type_bind_mount.sh b/tests/posix/type_bind_mount.sh
index fe32875..2d913db 100644
--- a/tests/posix/type_bind_mount.sh
+++ b/tests/posix/type_bind_mount.sh
@@ -3,10 +3,8 @@ test "$UNAME" = "Linux" || skip
clean_scratch
"$XTOUCH" scratch/{file,null}
+
sudo mount --bind /dev/null scratch/null
+trap "sudo umount scratch/null" EXIT
bfs_diff scratch -type c
-ret=$?
-
-sudo umount scratch/null
-return $ret